#include "StartScene.h"

USING_NS_CC;

Scene* StartScene::createScene()
{
    // 'scene' is an autorelease object
    auto scene = Scene::create();

    // 'layer' is an autorelease object
    auto layer = StartScene::create();

    // add layer as a child to scene
    scene->addChild(layer);

    // return the scene
    return scene;
}

// on "init" you need to initialize your instance
bool StartScene::init()
{
    //////////////////////////////
    // 1. super init first
    if (!Layer::init())
    {
        return false;
    }

    //code Here
    /*****Device ũ⸦ ɴϴ.*****/
    //Director ɴϴ.
    auto director = Director::getInstance();
    //OpenGLView ɴϴ.
    auto glview = director->getOpenGLView();
    //OpenGLView DesignResolutionSize ɴϴ.
    auto winSize = glview->getDesignResolutionSize();
    /*****Device ũ⸦ ɴϴ.*****/

    //Sprite Ͽ ̹ ҷɴϴ.
    auto back = Sprite::create("title_bg.png");

    //back ش Ʈ ġŵϴ. ȭ ߾ӿ ġϵ ߽ϴ.
    back->setPosition(Point(winSize.width / 2, winSize.height / 2));

    //this back ڽNode ߰Ͽϴ.
    this->addChild(back);

    //Title ߰
    auto title = Sprite::create("title_text.png");

    //AnchorPoint Point(0.5f, 1) 
    title->setAnchorPoint(Point(0.5f, 1));

    //back ش Ʈ ġŵϴ. ȭ ߾ӿ ġϵ ߽ϴ.
    title->setPosition(Point(winSize.width / 2, winSize.height - 30));

    //this back ڽNode ߰Ͽϴ.
    this->addChild(title);

    //ĳ ߰
    auto character = Sprite::create("title_character.png");

    //character ش Ʈ ġŵϴ. ȭ ߾ӿ ġϵ ߽ϴ.
    character->setPosition(Point(winSize.width / 2, winSize.height / 2));

    //this character ڽNode ߰Ͽϴ.
    this->addChild(character);

    return true;
}