#include "cocos2d.h"

USING_NS_CC;

class CharacterScene : public cocos2d::Layer
{
public:
    //
    CharacterScene();
    //Ҹ
    ~CharacterScene();

    // there's no 'id' in cpp, so we recommend returning the class instance pointer
    static cocos2d::Scene* createScene();

    // Here's a difference. Method 'init' in cocos2d-x returns bool, instead of returning 'id' in cocos2d-iphone
    virtual bool init();

    // implement the "static create()" method manually
    CREATE_FUNC(CharacterScene);

    Sprite *_characterBg;

    void onClickMenu(Ref *object);
    void onClickHome(Ref *object);
    void onClickRandom(Ref *object);
    void onClickSave(Ref *object);
    void onClickGallery(Ref *object);

    void setImage(std::string tableName, int rowNo, int colorNo);

    Sprite *_face;
    Sprite *_hair1;
    Sprite *_hair2;
    Sprite *_eye;
    Sprite *_mouth;
    Sprite *_etc;
    Sprite *_bgStyle;
};
