#include "HowToPlayPopup.h"

HowToPlayPopup * HowToPlayPopup::create(){
    HowToPlayPopup *ret = new HowToPlayPopup();
    if (ret && ret->init())
    {
        ret->autorelease();
    }
    else
    {
        CC_SAFE_DELETE(ret);
    }

    return ret;
}

bool HowToPlayPopup::init(){
    //⿡ ˾ ۼѴ.

    //ȭ ũ⸦ 
    auto winSize = Director::getInstance()->getOpenGLView()->getDesignResolutionSize();

    auto fadeBack = LayerColor::create(Color4B(0, 0, 0, 0), winSize.width, winSize.height);
    this->addChild(fadeBack);
    fadeBack->runAction(FadeTo::create(0.5f, 200));

    auto howtoplay = Sprite::create("how_to_play.png");
    howtoplay->setPosition(Point(winSize.width / 2, winSize.height / 2));
    this->addChild(howtoplay);

    return true;
}

void HowToPlayPopup::onEnter(){
    Layer::onEnter();

    setTouchEnabled(true);
    setTouchMode(Touch::DispatchMode::ONE_BY_ONE);
}

bool HowToPlayPopup::onTouchBegan(Touch* touch, Event* event){
    return true;
}

void HowToPlayPopup::onTouchEnded(Touch* touch, Event* event){
    this->removeFromParentAndCleanup(true);
}
